<%# Implementation of slp-navigation.vue %>
<div id="navigation-desktop" class="slp-hidden nav:slp-flex lg:slp-px-16 slp-pr-16 slp-bg-white">
  <a href="/" title="GitLab" class="nav:slp-mr-24" data-nav="logo">
    <img src="/images/icons/logos/slp-logo.svg" class="nav:slp-hidden lg:slp-inline-block slp-relative" style="top: 0.8rem;">
    <img src="/images/icons/logos/slp-icon.svg" class="slp-pl-16 slp-p-8 slp-relative nav:slp-inline-block lg:slp-hidden" style="top: 0.5rem; height: 6.0rem; width: 6.5rem;">
  </a>
  <% data.navigation.each do |item| %>
      <% if item.url %>
        <a href="<%= item.url %>" class="slp-flex slp-no-underline" data-nav="<%= item.heading %>">
          <div
            class="slp-group slp-inline slp-relative slp-text-base slp-p-16 slp-py-24 slp-cursor-pointer slp-align-middle slp-text-grayscale-333 hover:slp-text-ui-secondary-dark slp-transition slp-duration-300 slp-ease-in-out"
            data-nav="header"
            style="height: 7rem;"
          >
            <p
              aria-haspopup="true"
              class="slp-text-black slp-inline slp-pb-2 slp-border-ui-secondary-dark slp-p-4 slp-mb-0 group-hover:slp-text-ui-secondary-dark"
            >
              <%= item.heading %>
            </p>
          </div>
        </a>
      <% elsif %>
        <div
          class="slp-group slp-inline slp-relative slp-text-base slp-p-16 slp-py-24 slp-align-middle slp-text-grayscale-333 hover:slp-text-ui-secondary-dark slp-transition slp-duration-300 slp-ease-in-out"
          data-nav="header"
          style="height: 7rem; cursor: default;"
        >
          <p
            aria-haspopup="true"
            class="slp-text-black slp-inline slp-pb-2 slp-border-ui-secondary-dark slp-p-4 slp-navigation-desktop__drop-down slp-mb-0 group-hover:slp-text-ui-secondary-dark"
          >
            <%= item.heading %>
            <svg width="12" height="7" viewBox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg" style="margin-left: 4px; fill: currentColor" class="slp-text-grayscale-gray2 group-hover:slp-text-ui-secondary-dark slp-inline">
              <path d="M10.2929 0.292894C10.6834 -0.0976306 11.3166 -0.0976306 11.7071 0.292894C12.0976 0.683418 12.0976 1.31658 11.7071 1.70711L6.70711 6.70711C6.31658 7.09763 5.68342 7.09763 5.29289 6.70711L0.292894 1.70711C-0.0976312 1.31658 -0.0976312 0.683417 0.292894 0.292893C0.683418 -0.0976311 1.31658 -0.0976311 1.70711 0.292893L6 4.58579L10.2929 0.292894Z"/>
            </svg>
          </p>
        <div
          class="group-hover:slp--left-20 group-hover:slp-top-60 group-hover:slp-inline group-hover:slp-opacity-100 group-focus:slp-inline focus-within:slp-opacity-100 focus-within:slp-top-24 focus-within:slp--left-8 hover:slp-inline slp-origin-top-right slp-absolute slp--left-screen-width slp-text-grayscale-333 slp-z-100 slp-duration-300 slp-transition-opacity slp-opacity-0 slp-p-16"
        >
          <div
            class="slp-bg-white slp-py-20 slp-px-24 slp-shadow-soft slp-rounded-lg"
          >
          <% if item.links[0].subheading %>
            <div class="slp-flex md:slp-flex-col lg:slp-flex-row">
              <% item.links.each do |link| %>
                <div>
                  <p
                    class="slp-text-black slp-uppercase slp-tracking-wider slp-px-12 lg:slp-pt-0 slp-relative slp-top-3 slp-mb-0"
                    style="font-size: 1rem;"
                  >
                    <%= link.subheading %>
                  </p>
                  <div
                    class="slp-grid slp-grid-flow-col slp-justify-start"
                    style="grid-template-rows: repeat(4, auto);"
                  >
                    <% link.links.each do |link| %>
                      <a
                        href="<%= link.url %>"
                        data-nav="<%= link.name =%>"
                        class="slp-block slp-p-10 slp-text-ui-secondary-dark slp-group slp-no-underline"
                        style="min-width: 27.4rem"
                      >
                        <%= link.name %>
                        <span
                          class="slp-navigation-desktop__link-item slp-text-white slp-transition-opacity slp-opacity-0"
                        >
                          →
                        </span>
                        <p
                          class="slp-text-grayscale-gray2 slp-text-xs slp-mb-0 slp-navigation-dekstop__link-description"
                        >
                          <%= link.description %>
                        </p>
                      </a>
                    <% end %>
                  </div>
                </div>
              <% end %>
            </div>
          <% else %>
            <div
              class="slp-grid slp-grid-flow-col slp-justify-start"
              style="grid-template-rows: repeat(4, auto);"
            >
              <% item.links.each do |link| %>
                <div>
                  <a
                    href="<%= link.url %>"
                    class="slp-block slp-py-12 slp-px-8 slp-text-ui-secondary-dark slp-group slp-no-underline"
                    style="width: 26.2rem"
                    data-nav="<%= link.name %>"
                  >
                    <%= link.name %>
                    <span
                      class="slp-navigation-desktop__link-item slp-text-white slp-transition-opacity slp-opacity-0"
                    >
                      →
                    </span>
                    <p
                      class="slp-text-grayscale-gray2 slp-text-xs slp-mb-0 slp-navigation-dekstop__link-description"
                    >
                      <%= link.description %>
                    </p>
                  </a>
                </div>
              <% end %>
            </div>        
          <% end %>
          </div>
        </div>
      </div>
    <% end %>
  <% end %>
  <div class="slp-absolute slp-right-6 slp-top-0">
    <button
      id="search-header"
      aria-label="Search"
      type="button"
      class="slp-p-16 slp-mr-16 slp-border-none js-search-toggle"
    >
      <img src="/images/icons/slp-search.svg" class="slp-inline" />
    </button>
    <a
      href="/sales/"
      class="slp-btn--outline slp-btn"
      style="margin: 0.8rem 0.8rem 0.4rem 0px !important; border: 1px solid #333 !important; line-height: 1 !important;"
      data-nav="sales"
    >
      Talk to an expert
    </a>
    <a
      href="/free-trial/"
      class="slp-btn"
      style="margin: 0.8rem 0px 0.4rem !important; border: 1px solid #F96424 !important; line-height: 1 !important;"
      data-nav="freetrial"
    >
      Get free trial
    </a>
    <a
      href="https://gitlab.com/users/sign_in"
      class="slp-text-base slp-p-16 slp-ml-16 slp-text-black hover:slp-text-ui-secondary-dark"
      data-nav="login"
    >
      Login
    </a>
  </div>
</div>
